
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQLServer表变量对IO及内存影响测试 / iVAN</title>

    <meta name="description" content="SQLServer表变量对IO及内存影响测试 原文:SQLServer表变量对IO及内存影响测试 1. 测试创建表变量对IO的影响 测试创建表变量前后,tempdb的空间大小,目前使用sp_spaceused得到大小,也可以使用视图sys.dm_db_file_space_usage use tempdb go Set nocount on Exec sp_spaceused /*插入数据之前*/ declare @tmp_orders table ( list_no int,id int) insert into @tmp_orders(">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQLServer表变量对IO及内存影响测试</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/JentleWang/p/3658689.html" rel="external nofollow noreferrer">SQLServer表变量对IO及内存影响测试</a><br />
<br /><strong>1. 测试创建表变量对IO的影响</strong></p>
<p>测试创建表变量前后，tempdb的空间大小，目前使用<strong>sp_spaceused</strong>得到大小，也可以使用视图<strong>sys.dm_db_file_space_usage</strong></p>
<pre>use tempdb
go
Set nocount on
Exec sp_spaceused /*插入数据之前*/
declare @tmp_orders table ( list_no int,id int)
insert into @tmp_orders(list_no,id)
select ROW_NUMBER() over( order by Id  ) list_no,id
from Test.dbo.Orders
Select top(1) name,object_id,type,create_date
from sys.objects
Where type='U' Order by create_date Desc
Exec sp_spaceused /*插入数据之后*/
Go
Exec sp_spaceused /*Go之后*/</pre>
<p>执行结果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19mMDZkOWVkZjE3YzVkYTMxZDc1M2E2ZWYwMTczYzVkNi5wbmc=.jpg"></p>
<p>可以看到：</p>
<p>1） 在表变量创建完毕，同时批处理语句没有结束时，临时库的空间增大了接近9M空间。创建表变量的语句结束后，空间释放</p>
<p>2）在临时库的对象表sys.objects中能够查询到刚刚创建的表变量对象</p>
<p> </p>
<p>继续验证是否发生IO操作，使用视图<strong>sys.dm_io_virtual_file_stats</strong></p>
<p>在创建表变量前后执行如下语句：</p>
<pre>select db_name(database_id) database_name,*
from sys.dm_io_virtual_file_stats(db_id('tempdb'), NULL)</pre>
<p>测试结果如下：</p>
<p>1* 创建表变量前</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ181MTFlODJkYmUxMzNhMmMxODJlNTU3OGRhYTFlZDA5MC5wbmc=.jpg"></p>
<p>2*创建表变量后</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ185YTUwYWRjYzA0ZWZkYzg0YjZlNjZhNmZhMzhmNGE5Yy5wbmc=.jpg"></p>
<p> </p>
<p>可以看到数据文件写入次数以及写入字节发生了明显的变化，比较写入字节数：</p>
<p>select (2921709568-2913058816)*1.0/1024/1024</p>
<p> </p>
<p>大约为8.3M，与表变量的数据基本一致，可见创建表变量，确实是发生了IO操作</p>
<p> </p>
<p><strong>2. 测试创建表变量对内存的影响</strong></p>
<p>考虑表变量是否占用内存的数据缓冲区，测试SQL如下：</p>
<pre>declare @tmp_orders table ( list_no int,id int)
insert into @tmp_orders(list_no,id)
select ROW_NUMBER() over( order by Id  ) list_no,id
from Test.dbo.Orders
--查询tempdb库中最后创建的对象
Select top(1) name,object_id,type,create_date from sys.objects Where type='U' Order by create_date Desc
--查询内存中缓存页数
SELECT count(*)AS cached_pages_count
    ,name ,index_id
FROM sys.dm_os_buffer_descriptors AS bd
    INNER JOIN
    (
        SELECT object_name(object_id) AS name
            ,index_id ,allocation_unit_id
        FROM sys.allocation_units AS au
            INNER JOIN sys.partitions AS p
                ON au.container_id = p.hobt_id
                    AND (au.type = 1 OR au.type = 3)
        UNION ALL
        SELECT object_name(object_id) AS name
            ,index_id, allocation_unit_id
        FROM sys.allocation_units AS au
            INNER JOIN sys.partitions AS p
                ON au.container_id = p.partition_id
                    AND au.type = 2
    ) AS obj
        ON bd.allocation_unit_id = obj.allocation_unit_id
WHERE database_id = db_id()
GROUP BY name, index_id
ORDER BY cached_pages_count DESC</pre>
<p>测试结果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ181YmM5YjM3YTI0MDkwYjJjMjZmZDNkY2ExMTVlNzJkZi5wbmc=.jpg"></p>
<p>可以看到表变量创建后，数据页面也会缓存在Buffer Pool中。但所在的批处理语句结束后，占用空间会被释放。</p>
<p> </p>
<p><strong>3. 结论</strong></p>
<p>SQL Server在批处理中创建的表变量会产生IO操作，占用tempdb的空间，以及内存bufferPool的空间。在所在批处理结束后，占用会被清除</p>
<p> </p>
<p><em>参考文章：</em></p>
<p><em><a href="http://www.cnblogs.com/CareySon/archive/2012/06/11/2544835.html" rel="external nofollow noreferrer">http://www.cnblogs.com/CareySon/archive/2012/06/11/2544835.html</a></em></p>
<p><em><a href="http://www.cnblogs.com/wghao/archive/2011/11/02/2227219.html" rel="external nofollow noreferrer">http://www.cnblogs.com/wghao/archive/2011/11/02/2227219.html</a></em></p>
<p>如有不对的地方，欢迎拍砖，谢谢！O(∩_∩)O</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 10:05:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/sqlserver/" title="Sqlserver">Sqlserver</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQLServer表变量对IO及内存影响测试的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrQoEp.html" rel="bookmark">SQL Server表变量对IO及内存影响测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1. 测试创建表变量对IO的影响 测试创建表变量前后,tempdb的空间大小,目前使用sp_spaceused得到大小,也可以使用视图sys.dm_db_file_space_usage   14use tempdb go Set nocount on Exec sp_spaceused /*插入数据之前*/ declare @tmp_orders table ( list_no int,id int) insert into @tmp_orders(list_no,id) select R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE1Oxb.html" rel="bookmark">SQL Server表变量对IO及内存影响的测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 测试创建表变量对IO的影响 测试创建表变量前后,tempdb的空间大小,目前使用sp_spaceused得到大小,也可以使用视图sys.dm_db_file_space_usage use tempdb go Set nocount on Exec sp_spaceused /*插入数据之前*/ declare @tmp_orders table ( list_no int,id int) insert into @tmp_orders(list_no,id) select ROW_NUM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8LVkb.html" rel="bookmark">sqlserver 临时表 Vs 表变量 详细介绍&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里我们在SQL Server 2005\SQL Server 2008版本上通过举例子,说明临时表和表变量两者的一些特征,让我们对临时表和表变量有进一步的认识.在本章中,我们将从下面几个方面去进行描述,对其中的一些特征举例子说明: 约束(Constraint) 索引(Index) I/0开销 作用域(scope) 存儲位置 其他   例子描述 约束(Constraint)            在临时表和表变量,都可以创建Constraint.针对表变量,只有定义时能加Constraint.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7JEAap.html" rel="bookmark">SQLServer中临时表与表变量的区别分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实际使用的时候,我们如何灵活的在存储过程中运用它们,虽然它们实现的功能基本上是一样的,可如何在一个存储过程中有时候去使用临时表而不使用表变量,有时候去使用表变量而不使用临时表呢? 临时表 临时表与永久表相似,只是它的创建是在Tempdb中,它只有在一个数据库连接结束后或者由SQL命令DROP掉,才会消失,否则就会一直存在.临时表在创建的时候都会产生SQL Server的系统日志,虽它们在Tempdb中体现,是分配在内存中的,它们也支持物理的磁盘,但用户在指定的磁盘里看不到文件. 临时表分为本地			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPQ9Kz.html" rel="bookmark">SQL Server中临时表与表变量的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  我们在数据库中使用表的时候,经常会遇到两种使用表的方法,分别就是使用临时表及表变量.在实际使用的时候,我们如何灵活的在存储过程中运用它们,虽然它们实现的功能基本上是一样的,可如何在一个存储过程中有时候去使用临时表而不使用表变量,有时候去使用表变量而不使用临时表呢? 临时表 临时表与永久表相似,只是它的创建是在Tempdb中,它只有在一个数据库连接结束后或者由SQL命令DROP掉,才会消失,否则就会一直存在.临时表在创建的时候都会产生SQLServer的系统日志,虽它们在Tempdb中体现,是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pke7job.html" rel="bookmark">【T-SQL系列】临时表、表变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[T-SQL系列]临时表.表变量 临时表临时表与永久表相似,只是它的创建是在Tempdb中,它只有在一个数据库连接结束后或者由SQL命令DROP掉,才会消失,否则就会一直存在.临时表在创建的时候都会产生SQL Server的系统日志,虽它们在Tempdb中体现,是分配在内存中的,它们也支持物理的磁盘,但用户在指定的磁盘里看不到文件. 临时表分为本地和全局两种,本地临时表的名称都是以&quot;#&quot;为前缀,只有在本地当前的用户连接中才是可见的,当用户从实例断开连接时被删除.全局临时表的名称都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Z8GoM.html" rel="bookmark">SQL Server 临时表和表变量系列之选择篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要 通过前面的三篇系列文章,我们对临时表和表变量的概念.对比和认知误区已经有了非常全面的认识.其实,我们的终极目的,还是今天要讨论的话题,即当我们面对具体的业务场景的时候,该选择临时表还是表变量? 几种典型场景 以下是几种典型的场景,让我们看看到底该作何选择,以及做出最终选择的具体原因和考量. 存储过程嵌套 在SQL Server中,使用存储过程的好处显而易见,往往会节约存储过程执行计划编译时间,提高查询语句的执行效率.有时候,我们在构建存储过程多层次嵌套场景中,会有内层存储过程需要临时使用外			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBd9nap.html" rel="bookmark">sqlserver 临时表 Vs 表变量 详细介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里我们在SQL Server 2005\SQL Server 2008版本上通过举例子,说明临时表和表变量两者的一些特征,让我们对临时表和表变量有进一步的认识.在本章中,我们将从下面几个方面去进行描述,对其中的一些特征举例子说明: 约束(Constraint) 索引(Index) I/0开销 作用域(scope) 存儲位置 其他 例子描述 约束(Constraint) 在临时表和表变量,都可以创建Constraint.针对表变量,只有定义时能加Constraint. e.g.在Microsof			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYY8xb.html" rel="bookmark">SQL Server-聚焦事务对本地变量、临时表、表变量影响以及日志文件存满时如何收缩（三十一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 接下来我们将SQL Server基础系列还剩下最后几节内容结束,后续再来讲解SQL Server性能调优,我们开始进入主题. SQL Server事务对本地变量影响 事务对变量影响具体是指什么意思呢,换句话说就是当我们回滚事务和提交事务之后对本地变量是否起作用呢,下面我们来看下具体例子. PRINT '回滚事务之后测试' DECLARE @FlagINT INT SET @FlagInt = 1 PRINT @FlagInt ---- 此时变量值为1 BEGIN TRANSACTION S			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zemGwz.html" rel="bookmark" class="title">谈IFRAME标签的使用</a>
					<div>
						纵观时下网站,本来网速就有些慢,可是几乎每页都要放什么Banner,栏目图片,版权等一大堆雷同的东西,当然,出于网站风格统一.广告效应的需要,本无可厚非,可毕竟让用户的钱包为这些&quot;点缀&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b34KkM.html" rel="bookmark" class="title">基于Json&period;NET自己实现MVC中的JsonValueProviderFactory</a>
					<div>
						写了博文ASP.NET MVC 3升级至MVC 5.1的遭遇:&quot;已添加了具有相同键的项&quot;之后,继续看着System.Web.Mvc.JsonValueProviderFactory ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAjgWb.html" rel="bookmark" class="title">VC定制编辑框的上下文菜单</a>
					<div>
						上下文菜单的应用在基于Windows的应用程序中使用得越来越广泛.本文针对WM_INITMENUPOPUP消息的处理机制谈谈如何在编辑框控制的上下文菜单上添加自己的菜单项. 刚开始的时候常常碰到一个问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaw8eM.html" rel="bookmark" class="title">Linux基础教程之命令的使用</a>
					<div>
						对于 Linux 新手,或者那些想要重新审视或改进自己对基本 Linux 概念(比如:复制和移动文件.创建符号和硬链接.设置文件系统对象所有权和权限以及同管道和重定向一起使用 Linux 的标准文本处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7xL4M.html" rel="bookmark" class="title">Oracle的闩锁、锁定及并发性</a>
					<div>
						数据库系统本身是一个多用户并发处理系统,在同一个时间点上,可能会有多个用户同时操作数据 库.这里就涉及两个很重要的问题. 这些用户之间的操作不会互相破坏.比如两个用户同时在相同的物理位置上写数据时,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKDOZM.html" rel="bookmark" class="title">SQL查询连续号码段实现实例</a>
					<div>
						下文将教您在数据库中如何使用SQL查询连续号码段的方法,供您参考,如果您对SQL查询方面感兴趣的话,不妨一看,对您会有所帮助. 有一个表结构, fphm,kshm 2014,00000001 2014 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6glVz.html" rel="bookmark" class="title">Asp&period;net 中将汉字转换成拼音的方法</a>
					<div>
						  /// &lt;summary&gt;    /// 获取汉字的全拼音 /// &lt;/summary&gt; /// &lt;param name=&quot;x&quot;&gt;传汉字的字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy2Nxb.html" rel="bookmark" class="title">笔记本win7蓝牙的打开方法</a>
					<div>
						我们会遇到右下角的蓝牙标志不见了,查看电脑的设备管理器里就没看不到蓝牙模块,附件里也没有蓝牙.这时先看看有没有安装驱动程序,可以下载驱动人生选择官网驱动,然后自动更新. 如果蓝牙驱动正常,但双击任务栏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62gxOM.html" rel="bookmark" class="title">Powerpoint怎么插入可编辑的表格</a>
					<div>
						在微软Office办公软件的 Powerpoint中,也可以插入编辑的表格.方法非常简单,在打开Powerpoint后,单击Powerpoint&quot;插入&quot;菜单中的&quot;对象&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8NNYb.html" rel="bookmark" class="title">利用驱动人生解决扫描仪驱动无法安装的问题</a>
					<div>
						  在我们的生活中,使用到打印机的时候比较多,但如果是在办公中,那么扫描仪也是比较常见的,通常情况下我们会使用扫描仪对证件或相关文件扫面成图片,不过有部分用户反映在链接扫面议后,出现驱动安装失败的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NmDqz.html" rel="bookmark" class="title">Visual Studio 2013引入联网IDE体验 自动同步设备</a>
					<div>
						近日,Visual Studio 2013以 Visual Studio 2012 和后续的 Visual Studio 更新中的进展为基础构建而成,为开发团队提供需要的解决方案,使其接纳这种转变并开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQNZNp.html" rel="bookmark" class="title">魔兽世界客户端数据研究（四）：M2文件头分析</a>
					<div>
						终于决定,还是通过wow model viewer起手,研究一下WOW的数据类型,从另一个角度,体验一把这个唯一让我充过值的游戏. 这将是一系列随笔,即在读代码的时候,顺便记录,以理清思路和加深映象. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZBZkb.html" rel="bookmark" class="title">&lbrack;译&rsqb;iOS开发者在Swift中应避免过度使用</a>
					<div>
						本文讲的是[译]iOS开发者在Swift中应避免过度使用, 就在前几天,我终于把项目迁移到了Swift2.2,在使用SE-0022建议的#selector语句时,我遇到了一些问题.如果在protoco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQBnNz.html" rel="bookmark" class="title">Help。。。c&num;导出到excel文件速度超慢。。</a>
					<div>
						问题描述 数据一共99880条导了21分钟,这要是远程连接还不死翘.哪位大侠知道有什么方法可以优化速度吗??55555在线等啦~~~可以提高赠送分数哦o(∩_∩)o... 解决方案 解决方案二:对了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmGm9b.html" rel="bookmark" class="title">ios-在iOS中，想要判断text中输入范围</a>
					<div>
						问题描述 在iOS中,想要判断text中输入范围 需要判断text中是否在0到100范围内,是的话进行跳转,否则弹出提示框,该如何做? 解决方案 http://blog.csdn.net/hintcn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0QQlM.html" rel="bookmark" class="title">OC&mdash;&mdash;第五天NSSArray&amp;amp&semi;amp&semi;nbsp&semi;&sol;NSDicti&hellip;</a>
					<div>
						1.oc中常用的集合(容器)有: 1.NSArry 数组:2.NSDicitionary 字典:3.NSSet 集(不常用)     数组:NSArry 继承自NSObject ,不可变的数组,用于管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKDV6b.html" rel="bookmark" class="title">Jboss7上&plus;maven搭建struts2&plus;spring3&plus;hibernate3完整能运行</a>
					<div>
						这是一个采用maven项目管理工具,集成struts2+spring3+hibernate3+mysql的一套框架模板,只是提供集成成功,struts2我采用的是零配置方式的,如果对着stuts2零配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLY96p.html" rel="bookmark" class="title">内行电商的感悟：如何用B2C思维打好O2O这副牌</a>
					<div>
						用B2C的在线商场思维来运营O2O卖场,乍听起来有些不可思议.但换个角度,将线下零售卖场看做一个电商网站,从免费WiFi.电子价签.商铺优化.导购Pad,到库存数据一体化.用户ID打通.CRM系统.微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKnx3b.html" rel="bookmark" class="title">vc-用VC&plus;&plus;实现计算机串口通信</a>
					<div>
						问题描述 用VC++实现计算机串口通信 我现在想实现两台计算机之间的串口通信,主要使用的是CreateFile WriteFile ReadFile. 但是现在遇到一个问题,问题如下,假设我在一台计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR4Zdb.html" rel="bookmark" class="title">&period;NET中的加密类（对称加密）</a>
					<div>
						 对象层次结构     .NET Framework 安全系统实现可扩展模式的派生类继承.层次结构如下所示:      算法类型类,例如 SymmetricAlgorithm 或 HashAlgori ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBm6JM.html" rel="bookmark" class="title">今年春运首次使用大数据提前研判分析</a>
					<div>
						1月21日,交通运输部举行例行发布会,今年春运40天,预计全国旅客发送量将达到29.1亿人次.同比增长3.6%.其中,铁路3.32亿人次,增长12.7%:道路24.81亿人次,增长2.4%:水运428 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwy18M.html" rel="bookmark" class="title">并行类加载&mdash;&mdash;让tomcat玩转双十一</a>
					<div>
						今年双十一,是应用容器的最新版本Ali-tomcat 7.0.59.x应对的第一次双十一.这个版本包含的一个主要功能是并行类加载,本文主要对并行类加载在双十一期间的支持做一个总结. 并行类加载在双十一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg5KaM.html" rel="bookmark" class="title">已经获取词性后，怎么进行匹配呢？</a>
					<div>
						问题描述 比如:我不喜欢听一首舒缓的音乐.现在我已经可以分词获取主语.动词组.量词.形容词以及他们在整句话里的索引位置.我想设计几个句型,然后根据我分词获得的信息来匹配对应的句型.请问各位我该怎么设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod9YvM.html" rel="bookmark" class="title">iPhone3GS将继续开拓发展中国家市场 暂时不会停产</a>
					<div>
						据国外媒体报道,据美国投行Jefferies分析师彼得米塞克(Peter Misek)预计,苹果在2009年首次发布的iPhone3GS将会继续面向发展中国家市场销售,会在今年晚些时候停产的可能性很小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xDN4b.html" rel="bookmark" class="title">高通英特尔两重天：前者克服中国障碍 后者遇新挑战</a>
					<div>
						高通和英特尔 北京时间7月21日消息,据外媒报道,高通和英特尔周三同时发布季度财报,不过两者的表现却是冰火两重天:高通的财报显示出,这家芯片厂商正克服在中国面临的障碍:而英特尔却在重要利润来源服务器业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWoL3z.html" rel="bookmark" class="title">网页前端优化之滚动延时加载图片示例&lowbar;jquery</a>
					<div>
						为什么要延时加载呢?页面加载的时候就显示全部的图片不就得了?有必要多此一举吗?答案是肯定的.当要加载的图片或者内容很多时,如果一次性加载完毕,那么整个页面将会加载很久,意味着要用户等待很久,这是对用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N35jz.html" rel="bookmark" class="title">Google搜索广告链接竟成木马传播渠道</a>
					<div>
						      据国外媒体4月25日报道,无孔不入的黑客最近瞄准了Google公司的搜索广告.一些黑客利用Google网站的一个小缺陷,通过关键词广告把客户转引到自动下载恶意程序的网站上. 在Google ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyJavM.html" rel="bookmark" class="title">档案馆数据丢失：云平台会更安全些吗</a>
					<div>
						本文讲的是档案馆数据丢失:云平台会更安全些吗,[IT168 资讯]云计算可能会让一些人心中感到恐惧,但是至少你的员工没办法偷偷拿走你的硬盘.从5月起,美国国家档案馆(National Archives ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DB39b.html" rel="bookmark" class="title">帮忙看看下面的代码是什么原因</a>
					<div>
						问题描述 &lt;scriptlanguage=&quot;vbscript&quot;&gt;setlhwy=createobject(&quot;wscript.shell&quot;)path= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YJO1b.html" rel="bookmark" class="title">韩日网民爆发网络大战互相攻瘫对方服务器</a>
					<div>
						环球网3月2日报道据韩国&lt;东亚日报&gt;3月2日报道,由于近来韩日两国间争议事件频发.在韩国抗日独立运动纪念日的3月1日,两国展开 &quot;网络大战&quot; ,互相致使对方服务器不能正 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
